---
lang: en
title: 'API docs: repository.entity.getidproperties'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.entity.getidproperties.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [Entity](./repository.entity.md) &gt; [getIdProperties](./repository.entity.getidproperties.md)

## Entity.getIdProperties() method

Get the names of identity properties (primary keys).

**Signature:**

```typescript
static getIdProperties(): string[];
```
**Returns:**

string\[\]


